diff a/src/hotspot/share/cds/classListWriter.hpp b/src/hotspot/share/cds/classListWriter.hpp
--- a/src/hotspot/share/cds/classListWriter.hpp
+++ b/src/hotspot/share/cds/classListWriter.hpp
@@ -43,10 +43,13 @@
 
   static int get_id(const InstanceKlass* k);
   static bool has_id(const InstanceKlass* k);
   static void assert_locked() { assert_lock_strong(ClassListFile_lock); }
   static void write_resolved_constants_for(InstanceKlass* klass);
+  static void write_array_info_for(InstanceKlass* klass);
+  static void write_reflection_data_for(InstanceKlass* klass);
+  static void write_loader_negative_lookup_cache_for(oop loader, const char* loader_type);
 public:
   ClassListWriter() : _locker(Thread::current(), ClassListFile_lock, Mutex::_no_safepoint_check_flag) {}
 
   outputStream* stream() {
     return _classlist_file;
@@ -68,9 +71,11 @@
 
   static void init() NOT_CDS_RETURN;
   static void write(const InstanceKlass* k, const ClassFileStream* cfs) NOT_CDS_RETURN;
   static void write_to_stream(const InstanceKlass* k, outputStream* stream, const ClassFileStream* cfs = nullptr) NOT_CDS_RETURN;
   static void write_resolved_constants() NOT_CDS_RETURN;
+  static void write_reflection_data() NOT_CDS_RETURN;
+  static void write_loader_negative_lookup_cache() NOT_CDS_RETURN;
   static void delete_classlist() NOT_CDS_RETURN;
 };
 
 #endif // SHARE_CDS_CLASSLISTWRITER_HPP
